Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452313 - can't rip CDs even though other rippers work
Summary: can't rip CDs even though other rippers work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cdparanoia
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 20:56 UTC by Dave Jones
Modified: 2015-01-04 22:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:10:32 UTC


Attachments (Terms of Use)
gvfs (deleted)
2008-06-20 22:35 UTC, Dave Jones
no flags Details

Description Dave Jones 2008-06-20 20:56:45 UTC
I've tried to rip a bunch of CDs, and they all just cause sound-juicer to hang,
and after a while give up with a dialog telling me it couldn't rip the CD.
dmesg after this occurs contains..

end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0

The odd thing is that cdda2wav, cdparanoia and grip can all rip the discs in the
same drive without any problems.

sound-juicer-2.22.0-3.fc9.x86_64

Comment 1 Bastien Nocera 2008-06-20 22:24:51 UTC
What's the output of:
rpm -qa "*gst*"

And:
gvfs-mount -li

Comment 2 Dave Jones 2008-06-20 22:34:29 UTC
gstreamer-devel-0.10.19-1.fc9.x86_64
gstreamer-plugins-bad-extras-0.10.7-1.lvn9.x86_64
gstreamer-ffmpeg-0.10.4-1.lvn10.x86_64
gstreamer-tools-0.10.19-1.fc9.x86_64
gstreamer-plugins-bad-0.10.7-1.lvn9.x86_64
totem-gstreamer-2.23.2-2.fc9.x86_64
gstreamer-plugins-ugly-0.10.8-1.lvn10.x86_64
gstreamer-python-0.10.11-2.fc9.x86_64
gstreamer-0.10.19-1.fc9.x86_64
gstreamer-plugins-base-0.10.19-2.fc9.x86_64
gstreamer-plugins-good-0.10.8-5.fc9.x86_64


argh, I left livna-devel enabled from when this box was pre-f9, and it's sucked
in some of the for-rawhide plugins. I'll remove those in a minute, and re-test.



Comment 3 Dave Jones 2008-06-20 22:35:02 UTC
Created attachment 309952 [details]
gvfs

Comment 4 Bastien Nocera 2008-06-20 22:56:03 UTC
How do you rip audio when there's no CD in the drive?

Drive(1): CD-RW/DVD±RW Drive
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_DVDR___PX_755A'
   unix-device: '/dev/sr0'
  is_media_removable=1
  has_media=0
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1


Comment 5 Dave Jones 2008-06-21 00:38:35 UTC
I had removed it after grip ripped it successfully ;)
Reinserted it..

the cd drive entry becomes..

Drive(1): CD-RW/DVD±RW Drive
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_DVDR___PX_755A'
   unix-device: '/dev/sr0'
  is_media_removable=1
  has_media=1
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1
  Volume(0): Audio Disc
    ids:
     hal-udi: '/org/freedesktop/Hal/devices/volume_part_1_size_599367680'
     unix-device: '/dev/sr0'
    themed icons:  [drive-optical-recorder]  [drive-optical]  [drive]
    can_mount=1
    can_eject=1


Comment 6 James Begley 2008-06-26 15:46:31 UTC
I'm having problems ripping CDs with sound-juicer too.

[james@jumbovaio ~]$ sound-juicer 

** (sound-juicer:5387): WARNING **: Unknown codec ID 86022, please add here

** (sound-juicer:5387): WARNING **: Error getting media type

Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Error trying to open /dev/sg0 exclusively (Permission denied). retrying in 1 second.
Killed

[james@jumbovaio ~]$ rpm -qa "*gst*"
gstreamer-ffmpeg-0.10.4-1.lvn9.i386
gstreamer-0.10.19-1.fc9.i386
gstreamer-python-0.10.11-2.fc9.i386
gstreamer-plugins-bad-0.10.7-1.lvn9.i386
gstreamer-tools-0.10.19-1.fc9.i386
gstreamer-plugins-good-0.10.8-5.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
gstreamer-plugins-ugly-0.10.8-1.lvn9.i386
totem-gstreamer-2.23.2-4.fc9.i386

[james@jumbovaio ~]$ gvfs-mount -li
Drive(0): CD-RW/DVD±RW Drive
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_DVD_RAM_UJ_842S'
   unix-device: '/dev/sr0'
  is_media_removable=1
  has_media=1
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1
  Volume(0): Audio Disc
    ids:
     hal-udi: '/org/freedesktop/Hal/devices/volume_part_1_size_730824704'
     unix-device: '/dev/sr0'
    themed icons:  [drive-optical-recorder]  [drive-optical]  [drive]
    can_mount=1
    can_eject=1
    Mount(0): Audio Disc -> cdda://sr0/
      themed icons:  [media-optical-audio]  [media-optical]  [media]
      can_unmount=1
      can_eject=1

Running sound-juicer as root works, but that's a bit of a hacky fix. 
Sound-juicer used to work when this laptop was running fedora 8.


Comment 7 Bastien Nocera 2008-06-26 15:57:01 UTC
I guess Dave didn't put the whole output of gvsf-mount in the bug. That's
cdparanoia wanting to open the device O_EXCL, which I've been told by Monty is
useless.

Could you guys remove that patch?

Comment 8 Joe Rozner 2008-07-06 02:33:45 UTC
I just came across this and the fix I found for it is to add your user into the
"disk" group as it is the group owner of /dev/cdrom (or whatever the device name
is). My guess is that this is a udev bug however I'm not sure and not sure what
to report it as.

Comment 9 Bug Zapper 2009-06-10 01:42:43 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 16:10:32 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.